# ant-design-form-builder

> This is a drag and drop antd react form builder.

[![NPM](https://img.shields.io/npm/v/ant-design-form-builder.svg)](https://www.npmjs.com/package/ant-design-form-builder) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Demo

https://nimble-brigadeiros-2462ca.netlify.app/

## Install

```bash
npm install --save ant-design-form-builder
```

## Usage

Add Form Builder

```jsx
import React, { Component } from 'react'
import AntdFormBuilder from 'ant-design-form-builder'

const { FormBuilder } = AntdFormBuilder

class TestFormBuilder extends Component {
  formBuilderRef = React.createRef()

  getJson() {
    formBuilderRef.current.getJson()
  }

  render() {
    return <FormBuilder ref={formBuilderRef} />
  }
}
```

Add Form Filler

```jsx
import React, { Component } from 'react'
import AntdFormBuilder from 'ant-design-form-builder'

const { FormFiller } = AntdFormBuilder

class TestFormFiller extends Component {
  data = []
  render() {
    return (
      <FormFiller
        data={this.data}
        onFinishFailed={(errorInfo) => {
          console.log(errorInfo)
        }}
        onFinish={(values) => {
          console.log(values)
        }}
      />
    )
  }
}
```
## Contact us
Email: alt255_dev@protonmail.com
## License

MIT © [alt255-dev](https://github.com/alt255-dev)
